Get order book
curl --request GET \
--url https://api.novig.com/nbx/v2/emm/book/{marketId}import requests
url = "https://api.novig.com/nbx/v2/emm/book/{marketId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/book/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"marketId": "<string>",
"marketDescription": "<string>",
"outcomeLadders": [
{
"outcomeId": "<string>",
"bids": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"price": 0.667,
"qty": 110,
"originalQty": 110,
"currency": "CASH",
"outcomeId": "<string>",
"marketId": "<string>",
"status": "RESTING",
"created_at": "2024-01-01T00:00:00.000Z"
}
]
}
]
}Markets
Get order book
Get the current order book for a specific market. For both outcomes of the market, orders are returned sorted by price-time priority. Orders on the book are partially obfuscated up to price, quantity, and direction.
Rate limit: 128 requests per second.
GET
/
nbx
/
v2
/
emm
/
book
/
{marketId}
Get order book
Path Parameters
The ID of the market
Query Parameters
The currency denomination
Available options:
CASH, COIN